Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.security
Class PortalPermissionCollection

    java.lang.Object
      java.security.PermissionCollection
          org.jboss.portal.security.PortalPermissionCollection

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  JACCPortalPermissionCollection

    public abstract class PortalPermissionCollection

extends java.security.PermissionCollection

This class is a litteral reference to a portal permission repository. Subclasses should implement the implies logic and leverage the repository to get the role.

Version:
  $Revision: 8784 $
Author:
  Julien Viet
See Also:
  Serialized Form

Constructor Summary
`PortalPermissionCollection(AuthorizationDomain repository)` Create a new portal permission collection.

Method Summary
`void` | `add(java.security.Permission permission)` The only time this method is called is when JACC creates an instance of this object in order to add the owner permission to the collection.
`abstract java.util.Enumeration` | `elements()`
`abstract javax.security.auth.Subject` | `getCheckedSubject()` Return the subject being checked or null if there is none.
`abstract java.lang.String` | `getRoleName()` Return the role name attached to the collection.
`boolean` | `implies(java.security.Permission permission)` This implementation delegates to the container permission associated with this collection the logic of the check against the repository using the method PortalPermission#implies(AuthorizationDomain,String,PortalPermission).

Methods inherited from class java.security.PermissionCollection
`isReadOnly, setReadOnly, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortalPermissionCollection

    public PortalPermissionCollection(AuthorizationDomain repository)
                               throws java.lang.IllegalArgumentException

  Create a new portal permission collection.

  Parameters:
    `repository` - the repository to load the permissions from
  Throws:
    `java.lang.IllegalArgumentException` - if any argument is null

Method Detail

### add

    public final void add(java.security.Permission permission)
                   throws java.lang.IllegalArgumentException

  The only time this method is called is when JACC creates an instance of this object in order to add the owner permission to the collection.

  Specified by:
    `add` in class `java.security.PermissionCollection`
  Throws:
    `java.lang.IllegalArgumentException` - if the added permission is not the owner of this collection

### implies

    public boolean implies(java.security.Permission permission)

  This implementation delegates to the container permission associated with this collection the logic of the check against the repository using the method PortalPermission#implies(AuthorizationDomain,String,PortalPermission).

  Specified by:
    `implies` in class `java.security.PermissionCollection`

### elements

    public abstract java.util.Enumeration elements()

  Specified by:
    `elements` in class `java.security.PermissionCollection`

### getRoleName

    public abstract java.lang.String getRoleName()

  Return the role name attached to the collection.

  Returns:
    the role name

### getCheckedSubject

    public abstract javax.security.auth.Subject getCheckedSubject()

  Return the subject being checked or null if there is none.

  Returns:
    the current subject

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD